/**
 * <p>DOMLocator is an interface that describes a location (e.g. where an error occurred).</p>
 */
function DOMLocator() {
    this.prototype
}
/**
 * The byte offset into the input source this locator is pointing to or -1 if there is no byte offset available.
 * @syntax dOMLocator.byteOffset
 * @returns {Number} 
 */
DOMLocator.prototype.byteOffset;

/**
 * The line number this locator is pointing to, or -1 if there is no column number available.
 * @syntax dOMLocator.lineNumber
 * @returns {Number} 
 */
DOMLocator.prototype.lineNumber;

/**
 * The node this locator is pointing to, or null if no node is available.
 * @syntax dOMLocator.relatedNode
 * @returns {Node} 
 */
DOMLocator.prototype.relatedNode;

/**
 * The UTF-16, as defined in [Unicode] and Amendment 1 of [ISO/IEC 10646], offset into the input source this locator is pointing to or -1 if there is no UTF-16 offset available.
 * @syntax dOMLocator.utf16Offset
 * @returns {Number} 
 */
DOMLocator.prototype.utf16Offset;

/**
 * The URI this locator is pointing to, or null if no URI is available.
 * @syntax dOMLocator.uri
 * @returns {String} 
 */
DOMLocator.prototype.uri;

/**
 * The column number this locator is pointing to, or -1 if there is no column number available.
 * @syntax dOMLocator.columnNumber
 * @returns {Number} 
 */
DOMLocator.prototype.columnNumber;

/**
 * Represents the DOMLocator prototype object.
 * @syntax DOMLocator.prototype
 * @static
 */
DOMLocator.prototype;

