/**
 * <p>The Rect interface is used to represent any rect value. This interface reflects the values in the underlying style property. Hence, modifications made to the CSSPrimitiveValue objects modify the style property.</p>
 */
function Rect() {
    this.prototype
}
/**
 * This attribute is used for the bottom of the rect.
 * @syntax rect.bottom
 * @returns {CSSPrimitiveValue} 
 */
Rect.prototype.bottom;

/**
 * This attribute is used for the left of the rect.
 * @syntax rect.left
 * @returns {CSSPrimitiveValue} 
 */
Rect.prototype.left;

/**
 * This attribute is used for the right of the rect.
 * @syntax rect.right
 * @returns {CSSPrimitiveValue} 
 */
Rect.prototype.right;

/**
 * This attribute is used for the top of the rect.
 * @syntax rect.top
 * @returns {CSSPrimitiveValue} 
 */
Rect.prototype.top;

/**
 * Represents the Rect prototype object.
 * @syntax Rect.prototype
 * @static
 */
Rect.prototype;

